#!/usr/bin/env python

import sys

astorb = open("astorb_follow.dat", "r")
syn = open("astorb_follow.syn", "w")

syn.write("""# astorb_follow.syn
# 1 .. number
# 2 .. designation
# 3 .. TPid
# 4 .. t_integration [Myr]
# 5 .. a_libration_centre [au]
# 6 .. e []
# 7 .. I [deg]
# 8 .. da_libration_amplitude [au]
# 9 .. f_lib ["/yr]
# 10 .. D_lib [deg]
# 11 .. a+da [au]
""")

for line in astorb:
    l = line.split()
    num = l[0]
    dsg = l[1]
    tpid = l[33]
    t = l[34]
    a = l[35]
    e = l[36]
    inc = l[37]
    da = l[43]
    f = l[44]
    D = l[45]
    if a != '?':
        a_da = "%22.16f" % (float(a)+float(da))
    else:
        a_da = '?'

    syn.write("%6s %-12s %s %s %s %s %s %s %s %s %s\n" % (num, dsg, tpid, t, a, e, inc, da, f, D, a_da))

astorb.close()
syn.close()


