#!/usr/bin/gnuplot

lambda1 = 110
lambda2 = 320

set xl "a [AU]"
set yl "lambda [deg]"

set view 85,335
set ang deg
set ticslevel 0

f(x) = x>360. ? x-360. : x

p \
  "<./astorb_makein.awk astorb_arc_1yr.out" u 1:(f(f($4+$5+$6))) w p,\
  "makein.in"                               u 1:(f(f($4+$5+$6))) w p,\
  "<awk '(NR==3)' pl.elmts"  u 1:(f(f($4+$5+$6))) w p ps 5,\
  "<awk '($1==588)' astorb_arc_1yr.out | ./astorb_makein.awk" u 1:(f(f($4+$5+$6))):("Achilles")  not w labels,\
  "<awk '($1==617)' astorb_arc_1yr.out | ./astorb_makein.awk" u 1:(f(f($4+$5+$6))):("Patroclus") not w labels,\
  lambda1 w l not lt 0,\
  lambda2 w l not lt 0

pa -1

set term png small
set out "makein_lambda.png"
rep

q
  "<./astorb_makein.awk trojans_L5.astorb" u 1:(f(f($4+$5+$6))) w p ps 0.5,\

